UpdateCollection
curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/UpdateCollection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 30957,
"collection": {
"projectId": 30957,
"id": 888,
"private": true,
"metadata": {
"name": "Sandbox Chronicles Modified",
"description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
"externalLink": "https://sequence.xyz/",
"properties": {
"maxNfts": 1000,
"minNfts": 1,
"funCollection": false
}
}
}
}
'import requests
url = "https://metadata.sequence.app/rpc/Collections/UpdateCollection"
payload = {
"projectId": 30957,
"collection": {
"projectId": 30957,
"id": 888,
"private": True,
"metadata": {
"name": "Sandbox Chronicles Modified",
"description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
"externalLink": "https://sequence.xyz/",
"properties": {
"maxNfts": 1000,
"minNfts": 1,
"funCollection": False
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 30957,
collection: {
projectId: 30957,
id: 888,
private: true,
metadata: {
name: 'Sandbox Chronicles Modified',
description: 'A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.',
externalLink: 'https://sequence.xyz/',
properties: {maxNfts: 1000, minNfts: 1, funCollection: false}
}
}
})
};
fetch('https://metadata.sequence.app/rpc/Collections/UpdateCollection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection": {
"id": 888,
"projectId": 30957,
"metadata": {
"name": "Sandbox Chronicles Modified",
"description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
"properties": {
"funCollection": false,
"maxNfts": 1000,
"minNfts": 1
}
},
"private": true,
"createdAt": "2024-10-23T07:02:00.905283Z",
"updatedAt": "2024-10-23T07:10:45.118089375Z",
"baseURIs": {
"contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/888.json",
"tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/888/tokens/"
}
}
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}secret
UpdateCollection
POST
/
rpc
/
Collections
/
UpdateCollection
UpdateCollection
Was this page helpful?
⌘I